/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.javacodegeeks.retrievevalues;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import javax.annotation.PostConstruct;

/**
 *
 * @author omozegieaziegbe
 */
@Component
public class MailComponent {
    
    // injects smtp.javacodegeeks.com
    @Value("${mail.server}")
    private String server;

    // injects 587
    @Value("${mail.port}")
    private Integer port;

    // injects jcg@javacodegeeks.com
    @Value("${mail.username}")
    private String username;
    
    // injects jcg@javacodegeeks.com
    @Value("${mail.password}")
    private String password;

    public String getServer() {
        return server;
    }

    public void setServer(String server) {
        this.server = server;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
    
//    @PostConstruct
//    public void displayProperties() {
//        System.out.println("Server: " + server);
//        System.out.println("Port: " + port);
//        System.out.println("Username: " + username);
//        System.out.println("Password: " + password);
//    }
    
}
